Package org.pushingpixels.substance.internal.animation

# Class StateTransitionTracker.StateContributionInfo

java.lang.Object
org.pushingpixels.substance.internal.animation.StateTransitionTracker.StateContributionInfo

Enclosing class:
  `StateTransitionTracker`

public static class StateTransitionTracker.StateContributionInfo extends Object

## Constructor Summary

Constructors
Constructor
Description
`StateContributionInfo(float start, float end)`

## Method Summary

Modifier and Type
Method
Description
`float`
`getContribution()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StateContributionInfo

public StateContributionInfo(float start, float end)

## Method Details

### getContribution

public float getContribution()